<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>React</title>
    <script crossorigin src="https://unpkg.com/react@18/umd/react.production.min.js"></script>
    <script crossorigin src="https://unpkg.com/react-dom@18/umd/react-dom.production.min.js"></script>
    <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
    <script type="text/babel">
        const Movie = props => {
            return (
                <div className="movie">
                    <h1>{props.name}</h1>
                    <img width="300" height="400" src={props.image} alt={props.image}/>
                    <p>Год выпуска: {props.year}</p>
                </div>
            );
        }

        const Movies = [
            {name:'V - значит Вендетта', year: '2006', image:'https://avatars.mds.yandex.net/get-kinopoisk-image/1704946/0d134040-295d-420e-9cfb-9546522f6e3b/300x450'},
            {name:'Судья Дредд', year: '2012', image:'https://avatars.mds.yandex.net/get-kinopoisk-image/1600647/1a314abf-ae61-4616-84a8-7392b6663a48/300x450'},
            {name:'Робокоп', year: '1987', image: 'https://avatars.mds.yandex.net/get-kinopoisk-image/6201401/d8bb12df-58a9-41f3-a5a9-d7ee1bf4e34d/300x450'}
        ];
        const Content = (
            <div>
                {Movies.map((movie, key) => (
                    <Movie name={movie.name} year={movie.year} image={movie.image}/>
                ))}
            </div>
        );

        ReactDOM.render(Content, document.getElementById('p1'))
    </script>
</head>
<style>
    .movie
    {
        text-align: center;
        display: inline-block;
        border: 1px solid black;
        padding: 10px;
        border-radius: 5px;
        margin: 10px;
    }
</style>
<body>
<div style="text-align: center; margin-top: 150px" id="p1"></div>
</body>
</html>